LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAppend Interface Referencepublished

is used for creating and appending new objects to a specific container. More...

`import"XAppend.idl";`

Inheritance diagram for XAppend:

## Public Member Functions
void | appendByDescriptor ([in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| creates a new object using the given descriptor and appends it to the related container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for creating and appending new objects to a specific container.

## Member Function Documentation

## ◆ appendByDescriptor()

void appendByDescriptor | ( | [in] com::sun::star::beans::XPropertySet | descriptor | ) |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::ElementExistException
| ) |  |

creates a new object using the given descriptor and appends it to the related container.

Note: The descriptor will not be changed and can be used again to append another object.

Parameters

  descriptor | the descriptor which should be serve to append a new object

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XAppend.idl